Bug 189470 - policycoreutils do not requres initscripts
policycoreutils do not requres initscripts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 06:02 EDT by Evgeny
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeny 2006-04-20 06:02:42 EDT
Description of problem:

If I have no installed initscripts. installing via yum. 

Installing: policycoreutils              ##################### 
/var/tmp/rpm-tmp.59474: line 1: service: command not found
error: %post(policycoreutils-1.30.1-3.fc5.i386) scriptlet failed, exit status 127

#rpm -qp --scripts policycoreutils-1.30.1-3.fc5.i386.rpm
warning: policycoreutils-1.30.1-3.fc5.i386.rpm: V3 DSA signature: NOKEY, key ID
4f2a6fd2
postinstall scriptlet (using /bin/sh):
service restorecond condrestart
# rpm -qp --requires policycoreutils-1.30.1-3.fc5.i386.rpm | grep init
warning: policycoreutils-1.30.1-3.fc5.i386.rpm: V3 DSA signature: NOKEY, key ID
4f2a6fd2
#

policycoreutils do not require initscripts, but use service.


Can you make check for service exist? like
[ -f "/sbin/service" ] && service restorecond condrestart
or add requirement in spec? like
PreReq: initscripts
Comment 1 Daniel Walsh 2006-05-09 17:42:14 EDT
 Fixed in 1.30.8 -1.fc5
Comment 2 Ralf Corsepius 2006-05-17 07:30:03 EDT
IMO, the advice given in comment #1 is questionable and actually means playing
with symptoms:

It would be better to
Require(post): /sbin/service

and to call
/sbin/service ....
directly.
Comment 3 Daniel Walsh 2007-03-28 16:04:03 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.